Package org.codehaus.plexus.classworlds.strategy

## Interface Strategy

All Known Implementing Classes:
  `AbstractStrategy`, `OsgiBundleStrategy`, `ParentFirstStrategy`, `SelfFirstStrategy`

    public interface Strategy

A strategy is a class for defining how classes and resources are located in classworlds.

### Method Summary

All Methods Instance Methods Abstract Methods
`ClassRealm` `getRealm()`
`java.net.URL` `getResource​(java.lang.String name)`
`java.util.Enumeration<java.net.URL>` `getResources​(java.lang.String name)`
`java.lang.Class<?>` `loadClass​(java.lang.String name)`

### Method Detail

#### loadClass

    java.lang.Class<?> loadClass​(java.lang.String name)
                          throws java.lang.ClassNotFoundException

Throws:
  `java.lang.ClassNotFoundException`

#### getResource

    java.net.URL getResource​(java.lang.String name)

#### getResources

    java.util.Enumeration<java.net.URL> getResources​(java.lang.String name)
                                              throws java.io.IOException

Throws:
  `java.io.IOException`

#### getRealm

    ClassRealm getRealm()